<?php
//クラスファイルを読み込む
require_once 'User.php';

$host = 'localhost';	//データベースサーバー名
$dbname = 'books';		//データベース名
$username = 'root';		//データベースユーザー名
$password = '';			//パスワード
?>
<!DOCTYPE html>
<html lang="ja">
	<meta charset="utf-8">
	<head>
		<title>SELECT文実行</title>
	</head>
	<body>
<?php
try{
	//データベースに接続する
	$pdo = new PDO('mysql:host=' . $host . ';dbname=' . $dbname .';charset=utf8;',
			$username,
			$password);

	//SQL文を準備する
	$statement = $pdo -> prepare('SELECT * FROM users WHERE id = :userid;');

	//SQL文を実行する
	$statement -> execute(array(':userid' => 1));

	//データを取得する
	$rows = $statement -> fetchAll(PDO::FETCH_CLASS, 'User');

	var_dump($rows);
}catch(PDOException $e){
	var_dump($e -> getMessage());
}

//データベースを閉じる
$result = null;
$pdo = null;
?>
	</body>
</html>